Bug 219575 - (php-pear-File) Review Request: php-pear-File - Common file and directory routines
Review Request: php-pear-File - Common file and directory routines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brandon Holbrook
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189195
  Show dependency treegraph
 
Reported: 2006-12-13 19:44 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 01:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-12-13 19:44:50 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-File.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-File-1.2.2-1.src.rpm

Description:
Provides easy access to read/write to files along with some common routines
to deal with paths. Also provides interface for handling CSV files.
Comment 1 Brandon Holbrook 2006-12-14 00:41:40 EST
package meets naming and packaging guidelines.
specfile is properly named, is cleanly written and uses macros consistently.
dist tag is present.
build root is correct.
license field matches the actual license.
license is open source-compatible. License text included in package.
source files match upstream:
   ba8f020b70fb6a37c6258e0e42033aad  File-1.2.2.tgz
latest version is being packaged.
BuildRequires are proper.
rpmlint is silent.
final provides and requires are sane
no shared libraries are present.
package is not relocatable.
owns the directories it creates.
doesn't own any directories it shouldn't.
no duplicates in %files.
file permissions are appropriate.
%clean is present.
no %check is present
no scriptlets present.
code, not content.
documentation is small, so no -docs subpackage is necessary.
%docs are not necessary for the proper functioning of the package.
no headers.
no pkgconfig files.
no libtool .la droppings.
not a GUI app.
not a web app.

Very standard PEAR package, everything check out - APPROVED.
Comment 2 Christopher Stone 2006-12-14 01:51:22 EST
Built for devel.  Added entry on CVS sync page for FC-5/6.  Updated owners.list.
 Thanks for the review.

BTW, this bug was not set to block FE-ACCEPT.  I'll go ahead and do that for you
now.
Comment 3 Christopher Stone 2007-04-25 18:10:37 EDT
Package Change Request
======================
Package Name: php-pear-File
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.